@echo off
rem Criado por: Ubiratan Rocha da Silva (urs.Bira)
rem Email     : urs.bira@uol.com.br
rem Em        : 08/03/2006
cls
rem Variaveis de Ambiente
set ARQ=F:\dat0\arq
set PRG=F:\prg
set AUT=F:\autocomf
set DESTINO=C:\backup
set ursbira=%1
if "%ursbira%"=="" goto ajuda
if "%ursbira%"=="/?" goto ajuda
rem Controle de acesso: gera arquivo de log e verifica origem e destino
rem    Apaga os arquivos de LOG antigos
if     exist %DESTINO%\logarq.txt  del %DESTINO%\logarq.txt
if     exist %DESTINO%\logprg.txt  del %DESTINO%\logprg.txt
if     exist %DESTINO%\logaut.txt  del %DESTINO%\logaut.txt  
if     exist %ARQ%\logarq.txt      del %ARQ%\logarq.txt
if     exist %PRG%\logprg.txt      del %PRG%\logprg.txt
if     exist %AUT%\logaut.txt      del %AUT%\logaut.txt
rem    Cria arquivos de LOG nas pastas de destino
dir    %ARQ% > %DESTINO%\logarq.txt
dir    %PRG% > %DESTINO%\logprg.txt
dir    %AUT% > %DESTINO%\logaut.txt
rem    Cria arquivos de LOG nas pastas de origem
dir    %ARQ% > %ARQ%\logarq.txt
dir    %PRG% > %PRG%\logprg.txt
dir    %AUT% > %AUT%\logaut.txt
rem    Verifica se a pasta de destino exist, caso nao cria.
if not exist %DESTINO%\logarq.txt  mkdir %DESTINO%
rem    Caso os arquivos de LOG nao existam desvia para mensagem de erro
if not exist %DESTINO%\logarq.txt  goto errolocal
if not exist %DESTINO%\logprg.txt  goto errolocal
if not exist %DESTINO%\logaut.txt  goto errolocal
if not exist %ARQ%\logarq.txt      goto errorede
if not exist %PRG%\logprg.txt      goto errorede
if not exist %AUT%\logaut.txt      goto errorede
rem  Inicio da Tela de abertura
echo +------------------------------------------------------------------+
echo !           Processo de Backup da CCS Caminhoes                    !
echo !                                                                  !
echo !                                                                  !
echo !   1 - Backup Geral (DAT0/ARQ, DAT0/AUTOCOMF e PRG                !
echo !   2 - Backup somente do DAT0/ARQ                                 !
echo !   3 - Backup somente do DAT0/AUTOCOMF                            !
echo !   4 - Backup somente do PRG                                      !
echo !   5 - Eliminar Backups mais Antigos (Manter ultimo de cada mes)  !
echo !                                                                  !
echo !   6 - Sair                                                       !
echo !                                                                  !
echo !                                           Versao: 090306         !
echo +------------------------------------------------------------------+
echo.
echo.
CHOICE /C:123456 /N /S /T:6,10 DDD Opcao

if ERRORLEVEL=6 goto fim
if ERRORLEVEL=5 goto naodisp
if ERRORLEVEL=4 goto naodisp
if ERRORLEVEL=3 goto iniciar2
if ERRORLEVEL=2 goto iniciar1
if ERRORLEVEL=1 goto naodisp

:iniciar1
arj A -R %DESTINO%\A_%ursbira% %ARQ%\ceb*.*
if ERRORLEVEL=1 goto falta
if exist %DESTINO%\A_%ursbira%.arj echo.
if exist %DESTINO%\A_%ursbira%.arj echo.
if exist %DESTINO%\A_%ursbira%.arj echo.
if exist %DESTINO%\A_%ursbira%.arj echo.
if exist %DESTINO%\A_%ursbira%.arj echo +--------------------------------+
if exist %DESTINO%\A_%ursbira%.arj echo !  Backup concluido com exito!   !
if exist %DESTINO%\A_%ursbira%.arj echo !  O arquivo criado foi:         !
if exist %DESTINO%\A_%ursbira%.arj echo +--------------------------------+
if exist %DESTINO%\A_%ursbira%.arj dir /b %DESTINO%\A_%ursbira%.arj
pause
cls
if exist %DESTINO%\A_%ursbira%.arj arj l /b %DESTINO%\A_%ursbira%.arj
pause
cls
goto fim

:iniciar2
arj A -R %DESTINO%\AU%ursbira% %AUT%\gar*.*
if ERRORLEVEL=1 goto falta
if exist %DESTINO%\AU%ursbira%.arj echo.
if exist %DESTINO%\AU%ursbira%.arj echo.
if exist %DESTINO%\AU%ursbira%.arj echo.
if exist %DESTINO%\AU%ursbira%.arj echo.
if exist %DESTINO%\AU%ursbira%.arj echo +--------------------------------+
if exist %DESTINO%\AU%ursbira%.arj echo !  Backup concluido com exito!   !
if exist %DESTINO%\AU%ursbira%.arj echo !  O arquivo criado foi:         !
if exist %DESTINO%\AU%ursbira%.arj echo +--------------------------------+
if exist %DESTINO%\AU%ursbira%.arj dir /b %DESTINO%\AU%ursbira%.arj
pause
cls
if exist %DESTINO%\AU%ursbira%.arj arj l %DESTINO%\AU%ursbira%.arj
pause
cls
goto fim


:errorede
cls
echo +------------------------------------------------------------------+
echo !    Nao foi possivel localizar os arquivos/programas a serem      !
echo !    compactados na rede. Verifique se:                            !
echo !    - a comunicacao com o servidor;                               !
echo !    - se o cabo de rede esta bem conectado;                       !
echo !    - o mapeamento das unidades de rede estao corretos;           !
echo !    - se o servidor esta ligado.                                  !
echo !                                                                  !
echo !                                      BACKUP NAO EXECUTADO!       !
echo +------------------------------------------------------------------+
pause
goto fim

:errolocal
cls
echo +------------------------------------------------------------------+
echo !    Nao foi possivel localizar a pasta de destino.                !
echo !    Se essa for a primeira vez que esta executando este processo  !
echo !    execute-o novamente que o processo ira continuar.             !
echo !                                                                  !
echo !    Mas, caso nao seja a primeira vez verifique se ha espaco em   !
echo !    disco ou permicoes de gravacao.                               !
echo !                                                                  !
echo !                                      BACKUP NAO EXECUTADO!       !
echo +------------------------------------------------------------------+
pause
goto fim

:ajuda
cls
echo +------------------------------------------------------------------+
echo !    Rotina de backup CCS Caminhoes                                !
echo !                                                                  !
echo !    Sintaxe:backccs DDMMAA  (Digite apenas 6 digitos)             !
echo !                    +-++--                                        !
echo !                    ! !  !- Ano                                   !
echo !              Dia --+ !                                           !
echo !                      +---- Mes                                   !
echo !                                                                  !
echo +------------------------------------------------------------------+
goto fim

:falta
cls
echo +------------------------------------------------------------------+
echo !   Comando Arj nao localizado.     BACKUP NAO EXECUTADO!          !
echo +------------------------------------------------------------------+
goto fim

:naodisp
cls
echo +------------------------------------------------------------------+
echo !   Opcao Nao Disponivel.           BACKUP NAO EXECUTADO!          !
echo +------------------------------------------------------------------+
goto fim

:fim
rem  Apaga os arquivos de LOG nas pastas de origem
if     exist %ARQ%\logarq.txt      del %ARQ%\logarq.txt
if     exist %PRG%\logprg.txt      del %PRG%\logprg.txt
if     exist %AUT%\logaut.txt      del %AUT%\logaut.txt
rem  Apaga as variaveis de ambiente
set ARQ=
set PRG=
set AUT=
set DESTINO=
set ursbira=


